<?php

function gd_pbl_edit_listing_page() {
global $wpdb;

	function getPackageDuration($id){
	global $wpdb;
		$package = $wpdb->get_row("SELECT duration FROM wp_pbl_packages WHERE id = $id");
		if($package->duration==0){
			return 0;
		}else{
			if($package->duration==1){
				return "+1 month";
			}else{
				return "+".$package->duration." months";
			}
		}
	}

	if($_POST['action']=="update_listing"){
		$id=$_POST['id'];
		$name=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_name']));
		$logo_url=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_logo_url']));
		$description=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_description']));
		$phone=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_phone']));
		$url=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_url']));
		$email=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_email']));
		$address=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_address']));
		$city=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_city']));
		$state=$_POST['gd_pbl_listing_state'];
		$zip=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_zip']));
		$cat_id=$_POST['gd_pbl_listing_cat_id'];
		$pkg_id=$_POST['gd_pbl_listing_pkg_id'];
		$init_pkg_id=$_POST['initial_pkg_id'];
		
		if($pkg_id!=$init_pkg_id){
			$time_listed=$_POST['initial_time_listed'];
	
			$durmonths=getPackageDuration($pkg_id);
			$time_expired=strtotime(date("Y-m-d",strtotime($durmonths)));
		}else{
			$time_listed=$_POST['initial_time_listed'];
			$time_expired=$_POST['initial_time_expired'];
		}
		

		$wpdb->update('wp_pbl_listings',array('name'=>$name,'logo_url'=>$logo_url,'description'=>$description,'phone'=>$phone,'url'=>$url,'email'=>$email,'address'=>$address,'city'=>$city,'state'=>$state,'zip'=>$zip,'cat_id'=>$cat_id,'pkg_id'=>$pkg_id,'time_listed'=>$time_listed,'time_expired'=>$time_expired),array('id'=>$id));
	
	}


	if($_POST['action']=="delete_listing"){
		$id=$_POST['gd_pbl_listing_id'];
		$wpdb->query("DELETE FROM wp_pbl_listings WHERE id=$id");
	}

function getCategoryList($current){
global $wpdb;
	$categories = $wpdb->get_results("SELECT id,name FROM wp_pbl_categories");
	if(count($categories)==0){
		echo "No categories are currently set up.";
	}elseif(count($categories)==1){
		foreach($categories as $cat){
			$id=$cat->id;
			$name=stripslashes($cat->name);
			echo "<em>$name</em><input type='hidden' name='gd_pbl_listing_cat_id' value='$id' />";
		}
	}else{
		echo "<select name='gd_pbl_listing_cat_id'>";
		foreach($categories as $cat){
			$id=$cat->id;
			if($id==$current){$sel= "selected='selected'";}else{$sel= "";}
			$name=stripslashes($cat->name);
			echo "<option value='$id' $sel>$name</option>";
		}
		echo "</select>";
	}
}

function getPackageList($current){
global $wpdb;
	$packages = $wpdb->get_results("SELECT id,name FROM wp_pbl_packages");
	if(count($packages)==0){
		echo "No packages are currently set up. You MUST set up at least one package for this plugin to work properly.";
	}elseif(count($packages)==1){
		foreach($packages as $pkg){
			$id=$pkg->id;
			$name=stripslashes($pkg->name);
			echo "<em>$name</em><input type='hidden' name='gd_pbl_listing_pkg_id' value='$id' />";
		}
	}else{
		echo "<select name='gd_pbl_listing_pkg_id'>";
		foreach($packages as $pkg){
			$id=$pkg->id;
			if($id==$current){$sel= "selected='selected'";}else{$sel= "";}
			$name=stripslashes($pkg->name);
			echo "<option value='$id' $sel>$name</option>";
		}
		echo "</select>";
	}
}

?>

<div class="wrap">
<h2>GD Paid Business Listing Editor</h2>

<?php
global $wpdb;
if($_POST['action']=="edit_listing"){
$id=$_POST['gd_pbl_listing_id'];
$listing=$wpdb->get_row("SELECT name,logo_url,description,phone,url,email,address,city,state,zip,cat_id,pkg_id,time_listed,time_expired FROM wp_pbl_listings WHERE id='$id'");

	$name=stripslashes($listing->name);
	$logo=stripslashes($listing->logo_url);
	$description=stripslashes($listing->description);
	$phone=stripslashes($listing->phone);
	$url=stripslashes($listing->url);
	$email=stripslashes($listing->email);
	$address=stripslashes($listing->address);
	$city=stripslashes($listing->city);
	$state=stripslashes($listing->state);
	$zip=stripslashes($listing->zip);
	$cat_id=$listing->cat_id;
	$pkg_id=$listing->pkg_id;
	$time_listed=$listing->time_listed;
	$time_expired=$listing->time_expired;
?>

<h3>Edit Current Listing</h3>
<p><a href="?page=gd_pbl_settings_listings">Back to All Listings</a></p>
<form method="post"><input type="hidden" name="action" value="update_listing" /><input type="hidden" name="id" value="<?php echo $id; ?>" />
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Company Name</th>
        <td><input type="text" name="gd_pbl_listing_name" value="<?php echo $name; ?>" size="56" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Logo URL</th>
        <td><input type="text" name="gd_pbl_listing_logo_url" value="<?php echo $logo; ?>" size="56" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Business Description</th>
        <td><textarea name="gd_pbl_listing_description" cols="50" rows="2"><?php echo $description; ?></textarea></td>
        </tr>

        <tr valign="top">
        <th scope="row">Business Phone</th>
        <td><input type="text" name="gd_pbl_listing_phone" value="<?php echo $phone; ?>" size="56" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Website URL</th>
        <td><input type="text" name="gd_pbl_listing_url" value="<?php echo $url; ?>" size="56" /></td>
        </tr>

        <tr valign="top">
        <th scope="row">Business Email Address</th>
        <td><input type="text" name="gd_pbl_listing_email" value="<?php echo $email; ?>" size="56" /></td>
        </tr>

        <tr valign="top">
        <th scope="row">Street Address</th>
        <td><input type="text" name="gd_pbl_listing_address" value="<?php echo $address; ?>" size="56" /></td>
        </tr>

        <tr valign="top">
        <th scope="row">City/State/Zip</th>
        <td>
        <input type="text" name="gd_pbl_listing_city" value="<?php echo $city; ?>" size="20" /> 
        <select name="gd_pbl_listing_state">
        	<option value="AK" <?php if($state=="AK"){echo "selected='selected'";} ?>>AK</option>
			<option value="AL" <?php if($state=="AL"){echo "selected='selected'";} ?>>AL</option>
			<option value="AR" <?php if($state=="AR"){echo "selected='selected'";} ?>>AR</option>
			<option value="AZ" <?php if($state=="AZ"){echo "selected='selected'";} ?>>AZ</option>
			<option value="CA" <?php if($state=="CA"){echo "selected='selected'";} ?>>CA</option>
			<option value="CO" <?php if($state=="CO"){echo "selected='selected'";} ?>>CO</option>
			<option value="CT" <?php if($state=="CT"){echo "selected='selected'";} ?>>CT</option>
			<option value="DC" <?php if($state=="DC"){echo "selected='selected'";} ?>>DC</option>
			<option value="DE" <?php if($state=="DE"){echo "selected='selected'";} ?>>DE</option>
			<option value="FL" <?php if($state=="FL"){echo "selected='selected'";} ?>>FL</option>
			<option value="GA" <?php if($state=="GA"){echo "selected='selected'";} ?>>GA</option>
			<option value="HI" <?php if($state=="HI"){echo "selected='selected'";} ?>>HI</option>
			<option value="IA" <?php if($state=="IA"){echo "selected='selected'";} ?>>IA</option>
			<option value="ID" <?php if($state=="ID"){echo "selected='selected'";} ?>>ID</option>
			<option value="IL" <?php if($state=="IL"){echo "selected='selected'";} ?>>IL</option>
			<option value="IN" <?php if($state=="IN"){echo "selected='selected'";} ?>>IN</option>
			<option value="KS" <?php if($state=="KS"){echo "selected='selected'";} ?>>KS</option>
			<option value="KY" <?php if($state=="KY"){echo "selected='selected'";} ?>>KY</option>
			<option value="LA" <?php if($state=="LA"){echo "selected='selected'";} ?>>LA</option>
			<option value="MA" <?php if($state=="MA"){echo "selected='selected'";} ?>>MA</option>
			<option value="MD" <?php if($state=="MD"){echo "selected='selected'";} ?>>MD</option>
			<option value="ME" <?php if($state=="ME"){echo "selected='selected'";} ?>>ME</option>
			<option value="MI" <?php if($state=="MI"){echo "selected='selected'";} ?>>MI</option>
			<option value="MN" <?php if($state=="MN"){echo "selected='selected'";} ?>>MN</option>
			<option value="MO" <?php if($state=="MO"){echo "selected='selected'";} ?>>MO</option>
			<option value="MS" <?php if($state=="MS"){echo "selected='selected'";} ?>>MS</option>
			<option value="MT" <?php if($state=="MT"){echo "selected='selected'";} ?>>MT</option>
			<option value="NC" <?php if($state=="NC"){echo "selected='selected'";} ?>>NC</option>
			<option value="ND" <?php if($state=="ND"){echo "selected='selected'";} ?>>ND</option>
			<option value="NE" <?php if($state=="NE"){echo "selected='selected'";} ?>>NE</option>
			<option value="NH" <?php if($state=="NH"){echo "selected='selected'";} ?>>NH</option>
			<option value="NJ" <?php if($state=="NJ"){echo "selected='selected'";} ?>>NJ</option>
			<option value="NM" <?php if($state=="NM"){echo "selected='selected'";} ?>>NM</option>
			<option value="NV" <?php if($state=="NV"){echo "selected='selected'";} ?>>NV</option>
			<option value="NY" <?php if($state=="NY"){echo "selected='selected'";} ?>>NY</option>
			<option value="OH" <?php if($state=="OH"){echo "selected='selected'";} ?>>OH</option>
			<option value="OK" <?php if($state=="OK"){echo "selected='selected'";} ?>>OK</option>
			<option value="OR" <?php if($state=="OR"){echo "selected='selected'";} ?>>OR</option>
			<option value="PA" <?php if($state=="PA"){echo "selected='selected'";} ?>>PA</option>
			<option value="RI" <?php if($state=="RI"){echo "selected='selected'";} ?>>RI</option>
			<option value="SC" <?php if($state=="SC"){echo "selected='selected'";} ?>>SC</option>
			<option value="SD" <?php if($state=="SD"){echo "selected='selected'";} ?>>SD</option>
			<option value="TN" <?php if($state=="TN"){echo "selected='selected'";} ?>>TN</option>
			<option value="TX" <?php if($state=="TX"){echo "selected='selected'";} ?>>TX</option>
			<option value="UT" <?php if($state=="UT"){echo "selected='selected'";} ?>>UT</option>
			<option value="VA" <?php if($state=="VA"){echo "selected='selected'";} ?>>VA</option>
			<option value="VT" <?php if($state=="VT"){echo "selected='selected'";} ?>>VT</option>
			<option value="WA" <?php if($state=="WA"){echo "selected='selected'";} ?>>WA</option>
			<option value="WI" <?php if($state=="WI"){echo "selected='selected'";} ?>>WI</option>
			<option value="WV" <?php if($state=="WV"){echo "selected='selected'";} ?>>WV</option>
			<option value="WY" <?php if($state=="WY"){echo "selected='selected'";} ?>>WY</option>
        </select>
        <input type="text" name="gd_pbl_listing_zip" value="<?php echo $zip; ?>" size="10" /> 
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Category</th>
        <td>
        <?php getCategoryList($cat_id); ?>
        </td>
        </tr>

        <tr valign="top">
        <th scope="row">Package</th>
        <td>
        <input type="hidden" name="initial_pkg_id" value="<?php echo $pkg_id; ?>" />
        <?php getPackageList($pkg_id); ?>
        </td>
        </tr>
        <input type="hidden" name="initial_time_listed" value="<?php echo $time_listed; ?>" />
        <input type="hidden" name="initial_time_expired" value="<?php echo $time_expired; ?>" />

    </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="Update Listing" />
    </p>

</form>
<?php }else{ ?>

<p>Listing Updated! <a href="?page=gd_pbl_settings_listings">Click here to go back to All Listings</a></p>

<?php } ?>

</div>
<?php }
