<?php
//DATABASE TABLE CREATION FUNCTIONS

global $gd_pbl_db_version;
$gd_pbl_db_version = "1.0";

function gd_pbl_db_install() {
   global $wpdb;
   global $gd_pbl_db_version;

   $table_name = $wpdb->prefix."pbl_listings";
   if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") !=$table_name) {
      
      $sql = "CREATE TABLE " .$table_name. " (
	  id mediumint(9) NOT NULL AUTO_INCREMENT,
	  name VARCHAR(55) NOT NULL,
	  logo_url VARCHAR(128) NOT NULL,
	  description text NOT NULL,
	  phone VARCHAR(20) NOT NULL,
	  url VARCHAR(128) NOT NULL,
	  email VARCHAR(64) NOT NULL,
	  address VARCHAR(64) NOT NULL,
	  city VARCHAR(32) NOT NULL,
	  state VARCHAR(2) NOT NULL,
	  zip VARCHAR(5) NOT NULL,
	  cat_id mediumint(9) NOT NULL,
	  pkg_id mediumint(9) NOT NULL,
	  time_listed bigint(11) DEFAULT '0' NOT NULL,
	  time_expired bigint(11) DEFAULT '0' NOT NULL,
	  active tinyint(1) DEFAULT '0' NOT NULL,
	  UNIQUE KEY id (id)
	);";

      	$wpdb->query($sql); 
		$wpdb->insert('wp_pbl_listings',array('name'=>'Guild Development, LLC','logo_url'=>'http://www.guilddev.com/wp-content/themes/guild/images/logo4.png','description'=>'From brochure sites, to full ecommerce solutions, Guild Development provides you with high quality, cost effective solutions that will meet your requirements and stay within your budget.  Let us partner with you in the evolution of your company.','phone'=>'423-903-7472','url'=>'http://www.guilddev.com','email'=>'support@guilddev.com','address'=>'P.O. Box 28302','city'=>'Chattanooga','state'=>'TN','zip'=>'37424','cat_id'=>1,'pkg_id'=>1,'time_listed'=>0,'time_expired'=>1609477199,'active'=>1));
   }

   $table_name = $wpdb->prefix."pbl_packages";
   if($wpdb->get_var("SHOW TABLES LIKE '$table_name'")!=$table_name) {
      
      $sql = "CREATE TABLE ".$table_name." (
	  id mediumint(9) NOT NULL AUTO_INCREMENT,
	  name VARCHAR(55) NOT NULL,
	  description text NOT NULL,
	  cost DECIMAL(6,2) NOT NULL,
	  duration INT(3) NOT NULL,
	  UNIQUE KEY id (id)
	);";

      	$wpdb->query($sql);
      	$wpdb->insert('wp_pbl_packages',array('name'=>'Sample Package','description'=>'This is a sample package. You should edit it or delete it and create a new one. It is important that you remember to keep a package listed here at all times.','cost'=>'4.00','duration'=>'1'));
   }

   $table_name = $wpdb->prefix."pbl_categories";
   if($wpdb->get_var("SHOW TABLES LIKE '$table_name'")!=$table_name) {
      
      $sql = "CREATE TABLE ".$table_name." (
	  id mediumint(9) NOT NULL AUTO_INCREMENT,
	  name VARCHAR(55) NOT NULL,
	  description text NOT NULL,
	  UNIQUE KEY id (id)
	);";

		$wpdb->query($sql);
		$wpdb->insert('wp_pbl_categories',array('name'=>'General','description'=>'General business listings.'));
 
      add_option("gd_pbl_db_version",$gd_pbl_db_version);
   }
   
   add_option("gd_pbl_ppbizname","My Organization");
   add_option("gd_pbl_ppemail","my@paypalemailaddr.ess");
   add_option("gd_pbl_buttimg","https://www.paypal.com/en_US/i/btn/btn_buynow_LG.gif");
   add_option("gd_step_one_message","Fill out the form below if you'd like for your business to be posted on this website.");
   add_option("gd_pbl_butttext","List Your Business");
   add_option("gd_step_two_message","In order to complete your purchase, click on the button below.");
   add_option("gd_thank_you_message","Thank you for becoming a business partner. Your submission has been placed in our directory.");
   add_option("gd_bail_message","You have chosen to cancel payment for your submission, but your information has been saved. If you want to discuss activating your submission, contact the administrators of this website.");
   add_option("gd_primary_hex_color","#000000");
   add_option("gd_secondary_hex_color","#0000FF");
}